using CoreLibrary.Core;
using CoreLibrary.Events;
using Xunit;

namespace UnitTesting
{
    public class JouerCodeEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            Code monCode = new Code([new Jeton(Couleur.VERT), new Jeton(Couleur.BLEU)]);

            JouerCodeEventArgs evenement = new JouerCodeEventArgs(monCode);

            Assert.Equal(monCode, evenement.Code);
        }
    }
}
